package application

import (
	"vegan-barcode/internal/database"
	"vegan-barcode/internal/utils"

	"github.com/sirupsen/logrus"
)

type Application struct {
	db  database.Database
	log *logrus.Logger
}

func Start() {
	application := Application{
		db:  database.InitializeDatabase(),
		log: utils.InitializeLogger(),
	}

	application.bindRoutes()
}
