package application

import (
	"github.com/gin-gonic/gin"
)

func (application *Application) bindRoutes() {

	router := gin.Default()

	router.GET("/", application.TestHandler)

	router.GET("/claims/:system/:barcode", application.GetClaimsHandler)
	router.POST("/claims/:system/:barcode", application.PostClaimHandler)

	router.Run("localhost:8080")
}
